2001-02-07  Tom Tromey  <tromey@redhat.com>

	* Makefile.am (XFAIL_TESTS): Removed remake3.test,
	distcommon.test.

	* Makefile.am (XFAIL_TESTS): Added new files.

	* remake3.test: New file.
	* Makefile.am (TESTS): Added new file.

	* distcommon.test: New file.
	* Makefile.am (TESTS): Added new file.

2001-02-04  Tom Tromey  <tromey@redhat.com>

	* exsource.test: Updated for new include code.

2001-02-03  Tom Tromey  <tromey@redhat.com>

	* Makefile.am (XFAIL_TESTS): Removed colon7.test.

2001-01-29  Akim Demaille  <akim@epita.fr>

	* check.test: New.

2001-01-28  Tom Tromey  <tromey@redhat.com>

	* listval.test: New file.
	* Makefile.am (TESTS): Added listval.test.

2001-01-26  Tom Tromey  <tromey@redhat.com>

	* makevars.test: Fail if automake fails.

2001-01-26  Pavel Roskin  <proski@gnu.org>

	* Makefile.am (XFAIL_TESTS): Added colon7.test.

2001-01-26  Akim Demaille  <akim@epita.fr>

	* vtexi.test (info_TEXINFOS): Check that the path to mdate-sh is
	already correct.

	* defs (AUTOCONF, has_autoconf, needs_autoconf): New.
	* ansi3.test, cond9.test, depacl2.test, install2.test, pr19.test,
	* pr87.test, pr9.test, subobj3.test, target-cflags.test: Use them.

2001-01-25  Pavel Roskin  <proski@gnu.org>

	* makevars.test: Disable shell tracing.

2001-01-25  Akim Demaille  <akim@epita.fr>

	* makevars.test: New.

2001-01-24  Akim Demaille  <akim@epita.fr>

	* vtexi.test (info_TEXINFOS): Escape a $ in egrep pattern.

2001-01-23  Akim Demaille  <akim@epita.fr>

	* vtexi.test: Also check that stamp-vti properly depends upon
	configure.in and the Texinfo source file.

2001-01-21  Kevin Ryde <user42@zip.com.au>

	* colon7.test: Grep for a couple of AC_OUTPUT problems.

2001-01-15  Tom Tromey  <tromey@redhat.com>

	* subdir3.test: Allow any number of dependencies.

	* subobj4.test: Fixed test case.

	* amassign.test: New file.
	* Makefile.am (TESTS): Added new file.

2001-01-12  Tom Tromey  <tromey@redhat.com>

	* subobj4.test: New file.
	* Makefile.am (TESTS): Added subobj4.test.

	* cxxansi.test: New file.
	* Makefile.am (TESTS): Added cxxansi.test.

2000-12-21  Tom Tromey  <tromey@redhat.com>

	* vtexi.test: Fixed to reflect new rules.

2000-12-17  Tom Tromey  <tromey@redhat.com>

	* Makefile.am (XFAIL_TESTS): Don't mention ldflags.test.

2000-11-25  Tom Tromey  <tromey@cygnus.com>

	* space.test: New file.
	* Makefile.am (TESTS): Added space.test.

2000-11-23  Pavel Roskin  <proski@gnu.org>

	* pr87.test: Prevent automake from looking into .. and ../..
	by using AC_CONFIG_AUX_DIR(.) in configure.in.

2000-11-23  Tom Tromey  <tromey@cygnus.com>

	* pr87.test: New file.  From PR automake/87.
	* Makefile.am (TESTS): Added pr87.test.

2000-10-17  Pavel Roskin  <proski@gnu.org>

	* Makefile.am (TESTS): Added aclocali1.test.
	* aclocali1.test: New file.

2000-08-30  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am (XFAIL_TESTS): Removed pr72.test.

	For PR automake/72:
	* Makefile.am (TESTS): Added pr72.test.
	(XFAIL_TESTS): Likewise.
	* pr72.test: New file.

2000-08-28  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am (XFAIL_TESTS): Added ldflags.test.

2000-08-27  Tom Tromey  <tromey@cygnus.com>

	For PR automake/75:
	* Makefile.am (TESTS): Added fortdep.test.
	* fortdep.test: New file.

	For PR automake/68:
	* Makefile.am (TESTS): Added header.test.
	* header.test: New file.

2000-08-26  Tom Tromey  <tromey@cygnus.com>

	For PR automake/73:
	* Makefile.am (TESTS): Added instman2.test.
	* instman2.test: New file.

	For PR automake/77:
	* Makefile.am (TESTS): Added ldflags.test.
	* ldflags.test: New file.

2000-08-06  Jim Meyering  <meyering@lucent.com>

	* Makefile.am (TESTS): Add subdir4.test.
	* subdir4.test: New test for the just-fixed depcomp failure.

2000-08-02  Akim Demaille  <akim@epita.fr>

	* depacl.test: Weaken the regexp looking for AM_PROG_CC_C_STDC in
	aclocal.m4.

2000-05-01  Pavel Roskin  <pavel_roskin@geocities.com>

	* install2.test: Prevent automake from looking into .. and ../..
	by using AC_CONFIG_AUX_DIR(.) in configure.in
	* pr19.test: Likewise
	* subobj3.test: Likewise

2000-03-19  Tom Tromey  <tromey@cygnus.com>

	* libobj2.test: Put depcomp into subdir.
	* confsub.test: Put depcomp into subdir.
	* defs: Always copy `depcomp'.

	* defs: Correctly create `depcomp'.
	* nodepcomp.test: Remove depcomp.

	More for PR automake/38:
	* symlink3.test: New file.
	* Makefile.am (TESTS): Added symlink3.test.

	For PR automake/38:
	* symlink2.test: New file.
	* Makefile.am (TESTS): Added symlink2.test.

	For PR automake/45:
	* defs, acoutnoq.test, texinfo8.test, tagsub.test, subdir2.test,
	subdir.test, scripts.test, remake2.test, remake.test, pr2.test,
	parse.test, output4.test, output3.test, output2.test, output.test,
	libobj10.test, libobj9.test, libobj8.test, libobj7.test,
	libobj6.test, libobj2.test, libobj.test, fpinstall.test,
	fpinst2.test, depend3.test, confsub.test, config.test,
	confh4.test, confh3.test, confh2.test, confh.test, conf2.test,
	colon7.test, colon6.test, colon5.test, colon4.test, colon3.test,
	colon2.test, colon.test, acouttbs.test, acoutqnl.test,
	acoutput.test: Put AM_INIT_AUTOMAKE into configure.in.

	* install2.test: Expect a `dist' failure.

2000-03-19  Tom Tromey  <tromey@cygnus.com>

	* nodepcomp.test: New file.
	* Makefile.am (TESTS): Added nodepcomp.test.

2000-02-02  Assar Westerlund  <assar@sics.se>

	* target-cflags.test: new test case to target-specific CFLAGS

2000-01-08  Tom Tromey  <tromey@cygnus.com>

	* ansi.test, texinfo.test, empty.test, insh2.test, texinfo8.test:
	Remove @SET_MAKE@ before using Makefile.
	* backsl2.test: Don't add AC_PROG_MAKE_SET in configure.in;
	already done.
	* defs: Put AC_PROG_MAKE_SET in configure.in.
	* acoutnoq.test, acoutput.test, acoutqnl.test, acouttbs.test,
	acouttbs2.test, colon.test, colon2.test, colon3.test, colon4.test,
	colon5.test, colon6.test, colon7.test, conf2.test, confh.test,
	confh2.test, confh3.test, confh4.test, config.test, depend3.test,
	discover.test, fpinst2.test, gnits.test, ldadd.test, libobj.test,
	libobj10.test, libobj2.test, libobj6.test, libobj7.test,
	libobj8.test, libobj9.test, output.test, output2.test,
	output3.test, output4.test, output5.test, package.test,
	parse.test, pr2.test, remake.test, remake2.test, scripts.test,
	stamph.test, texinfo8.test: Likewise.

1999-12-26  Tom Tromey  <tromey@cygnus.com>

	* subobj3.test: Remove depcomp.
	* pr9.test: Remove depcomp.
	Remove opportunistic check.
	* pr19.test: Remove depcomp.

1999-12-25  Tom Tromey  <tromey@cygnus.com>

	* suffix2.test: Create config.guess and config.sub so user doesn't
	need libtoolize.  From Klaus Reichl.

1999-12-19  Tom Tromey  <tromey@cygnus.com>

	Test for PR automake/9:
	* pr9.test: New file.
	* Makefile.am (TESTS): Added pr9.test.

	* pr19.test: Fail gracefully if gzip missing.
	* install2.test: Fail gracefully if gzip missing.

1999-12-19  Pavel Roskin  <pavel_roskin@geocities.com>

	* tests/defs: add all permissions to testSubDir before
	removing it.

1999-12-19  Tom Tromey  <tromey@cygnus.com>

	* pr2.test: Use egrep, not grep.

	Test for PR automake/2:
	* pr2.test: New file.
	* Makefile.am (TESTS): Added pr2.test.

1999-12-15  Tom Tromey  <tromey@cygnus.com>

	* dup3.test: New file.
	* Makefile.am (TESTS): Added dup3.test.

1999-12-13  Tom Tromey  <tromey@cygnus.com>

	* pr19.test: New file.  For PR automake/19.
	* Makefile.am (TESTS): Added pr19.test.

	* lex4.test: New file.  For PR automake/6.
	* Makefile.am (TESTS): Added lex4.test.

	* suffix3.test: New file.
	* Makefile.am (TESTS): Added suffix3.test.

	* suffix2.test: Added `no-dependencies' to options in
	Makefile.am.  Removed trailing `exit 1'.

	* nostdinc.test: New file.
	* Makefile.am (TESTS): Added nostdinc.test.

	* condincl2.test: New file.
	* condincl.test: New file.
	* Makefile.am (TESTS): Added condincl.test, condincl2.test.

	* suffix2.test: New file.
	* Makefile.am (TESTS): Added suffix2.test.

	* subobj.test: Remove final test.

1999-12-12  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am (XFAIL_TESTS): Removed subobj3.test.

1999-12-10  Tom Tromey  <tromey@cygnus.com>

	* install2.test: New file.
	* Makefile.am (TESTS): Added install2.test.

	* specflags5.test: New file.
	* Makefile.am (TESTS): Added specflags5.test.

1999-12-06  Tom Tromey  <tromey@cygnus.com>

	* confh4.test: Corrected final test.

	* confh4.test: New file.  PR automake/34.
	* Makefile.am (TESTS): Mention confh4.test.

1999-11-22  Tom Tromey  <tromey@cygnus.com>

	* defs: Never hard link `depcomp'.  From Pavel Roskin

	* exsource.test: Don't use configure substitution in _SOURCES.
	* depend.test: Don't use configure substitution in _SOURCES.
	* cygwin32.test: Don't use configure substitution in _SOURCES.

	* subobj.test: Check for another bug.

	* Makefile.am (XFAIL_TESTS): Removed sourcesub.test,
	ltlibobjs.test.

1999-11-21  Tom Tromey  <tromey@cygnus.com>

	* specflags3.test: Updated test for new dependency
	implementation.

1999-10-02  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	* defs: Set CDPATH to avoid verbose cd.

1999-09-14  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	* defs: Avoid printing the full pathname of testSubDir.

	* exsource.test: Update.

1999-06-01  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* exsource.test: sed @AMDEP@ away from `include' line.

	* compile_f_c_cxx.test: depcomp is no longer in the same line.

1999-04-25  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* compile_f_c_cxx.test: Look for $(depcomp) for C and C++.
	* suffix.test: We no longer emit % rules.

1999-04-10  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* defs: Create link or copy of depcomp.
	* depend2.test: Removed, no more disted dependencies.
	* Makefile.am (TESTS): Likewise.
	* exsource.test: Adjust dependency filenames.
	* mdate3.test: Adjust for depcomp.

1999-11-07  Tom Tromey  <tromey@cygnus.com>

	* dash.test: New file.
	* Makefile.am (TESTS): Added dash.test.

1999-08-26  Tom Tromey  <tromey@cygnus.com>

	* texinfo8.test: Use directory named `sub'.

	* symlink.test: Use directory named `sub' (just in case; for
	Windows).

1999-08-15  Tom Tromey  <tromey@cygnus.com>

	* ansi4.test: New file.
	* Makefile.am (TESTS): Added ansi4.test.

1999-07-30  Tom Tromey  <tromey@cygnus.com>

	* double.test (bin_PROGRAMS): New file.
	* Makefile.am (TESTS): Added double.test.

1999-07-27  Tom Tromey  <tromey@cygnus.com>

	* empty4.test: New file.
	* Makefile.am (TESTS): Added empty4.test.

1999-07-13  Tom Tromey  <tromey@cygnus.com>

	* empty3.test: New file.
	* Makefile.am (TESTS): Added empty3.test.

	* empty2.test: Also look for `pavel.o'.

	* empty2.test: New file.
	* Makefile.am (TESTS): Added empty2.test.

1999-05-27  Tom Tromey  <tromey@cygnus.com>

	* subobj3.test: New file.
	* Makefile.am (TESTS): Added subobj3.test.
	(XFAIL_TESTS): Likewise.

	* ltlibobjs.test: New file.
	* Makefile.am (TESTS): Added ltlibobjs.test.
	(XFAIL_TESTS): Added ltlibobjs.test.

	* Makefile.am (XFAIL_TESTS): Added sourcesub.test.

1999-05-19  Tom Tromey  <tromey@cygnus.com>

	* specflags4.test: Typo fix.

	* specflags4.test: New file.  From Pavel Roskin.
	* Makefile.am (TESTS): Added specflags4.test.

	* specflags.test: Added regression test for missing space.

1999-05-13  Tom Tromey  <tromey@cygnus.com>

	* sourcesub.test: New file.
	* Makefile.am (TESTS): Added sourcesub.test.

1999-05-01  Tom Tromey  <tromey@cygnus.com>

	* libobj2.test: Reverted previous change; it is incorrect.

	* libobj2.test: Error if libtu.a.P is mentioned.

1999-04-27  Tom Tromey  <tromey@cygnus.com>

	* cond9.test: New file.  From Raja R Harinath.
	* Makefile.am (TESTS): Added cond9.test.

	* pluseq8.test: New file.
	* Makefile.am (TESTS): Added pluseq8.test.

	* canon5.test: Updated to reflect change to MACRO_PATTERN.

	* specflags3.test: New file.
	* Makefile.am (TESTS): Added specflags3.test.
	(TESTS): Now lists one file per line, for simpler maintenance.

	* specflags2.test: New file.
	* specflags.test: New file.
	* Makefile.am (TESTS): Added specflags.test, specflags2.test.

1999-04-27  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* canon5.test (bin_PROGRAMS): New file.
	* Makefile.am (TESTS): Added canon5.test.

1999-04-20  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* libobj10.test: New file.
	* Makefile.am (TESTS): Added libobj10.test.

1999-04-11  Tom Tromey  <tromey@cygnus.com>

	* subobj2.test: New file.
	* Makefile.am (TESTS): Added subobj2.test.

	* subobj.test: New file.
	* Makefile.am (TESTS): Added subobj.test.

	* confh.test: Use `sed' to extract full definition of
	DIST_COMMON.  Look for stamp-h.in rule in include/Makefile.in.
	* Makefile.am (XFAIL_TESTS): Removed confh.test.

1999-04-10  Tom Tromey  <tromey@cygnus.com>

	* defs: Ensure srcdir is always absolute.

	* Makefile.am (XFAIL_TESTS): Removed cond8.test.

	* gcj2.test: New file.
	* Makefile.am (TESTS): Added gcj2.test.

1999-04-10  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* suffix.test: New file.
	* Makefile.am: Added suffix.test.

	* Makefile.am (XFAIL_TESTS): Added cond8.test.

	* cond3.test: Refer to am_targ_OBJECTS.

	* yacc2.test, yacc3.test: New files.
	* Makefile.am (TESTS): Added yacc2.test and yacc3.test.

1999-04-09  Tom Tromey  <tromey@cygnus.com>

	* nodist.test: New file.
	* Makefile.am (TESTS): Added nodist.test.

	* gcj.test: New file.
	* Makefile.am (TESTS): Added gcj.test.

1999-04-08  Tom Tromey  <tromey@cygnus.com>

	* cond8.test: New file.
	* Makefile.am (TESTS): Added cond8.test.

1999-04-07  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* backsl2.test: New file.
	* Makefile.am (TESTS): Added backsl2.test.

	* texinfo8.test: texinfo.tex is only disted by aux/Makefile.

	* texinfo8.test: New file.
	* Makefile.am (TESTS): Added texinfo8.test.

1999-03-31  Tom Tromey  <tromey@cygnus.com>

	* pluseq2.test, pluseq3.test: Updated for recent \-preservation
	change.

1999-03-31  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* Makefile.am (XFAIL_TESTS): add confh.test

1999-03-30  Tom Tromey  <tromey@cygnus.com>

	* mclean.test: Fixed typo.

	* mclean.test: New file.
	* Makefile.am (TESTS): Added mclean.test.

1999-03-30  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* confh.test: if include/Makefile.am is created, the test fails

1999-03-27  Tom Tromey  <tromey@cygnus.com>

	* extra4.test: Allow EXTRA_DATA to be specified.

1999-03-22  Tom Tromey  <tromey@cygnus.com>

	* ldadd.test: Use AC_PROG_LIBTOOL, not AM_PROG_LIBTOOL.

	* pluseq7.test: New file.
	* Makefile.am (TESTS): Added pluseq7.test.
	* pluseq6.test: New file.
	* Makefile.am (TESTS): Added pluseq6.test.

1999-03-21  Tom Tromey  <tromey@cygnus.com>

	* nodep.test: New file.
	* Makefile.am (TESTS): Added nodep.test.

	* subdir3.test: Correctly mention _SOURCES in Makefile.am.

	* subdir3.test: New file.
	* Makefile.am (TESTS): Added subdir3.test.
	* xsource.test: Changed to check whether multiple source files
	with same object name cause failure.

1999-03-11  Tom Tromey  <tromey@cygnus.com>

	* libobj9.test: New file.
	* Makefile.am (TESTS): Added libobj9.test.

	* insthook.test: Don't require GNU grep.  From John Pierce.

	* lex3.test: New file.
	* Makefile.am (TESTS): Added lex3.test.

1999-03-01  Tom Tromey  <tromey@cygnus.com>

	* ansi3.test: Use no-dependencies option to avoid GNU make
	requirement.  From Jerome Lovy.

1999-02-27  Tom Tromey  <tromey@cygnus.com>

	* ext.test (foo_SOURCES): New file.
	* Makefile.am (TESTS): Added ext.test.

1999-02-11  Tom Tromey  <tromey@cygnus.com>

	* cygwin32.test: Use AC_EXEEXT, not AM_EXEEXT.

	* obsolete2.test: New file.
	* Makefile.am (TESTS): Added obsolete2.test.

1999-02-01  Tom Tromey  <tromey@cygnus.com>

	* installsh.test (AUTOMAKE): Use $PERL.  From Pavel Roskin.

	* cond5.test: Sleep 15 seconds, not 5.  Some people still run the
	test on slow machines.

1999-01-22  Tom Tromey  <tromey@cygnus.com>

	* copy.test: New file.
	* Makefile.am (TESTS): Added copy.test.

	* ppf77.test: New file.
	* Makefile.am (TESTS): Added ppf77.test.

1999-01-14  Tom Tromey  <tromey@cygnus.com>

	* confh3.test: New file.
	* Makefile.am (TESTS): Added confh3.test.

	* confh2.test: New file.
	* Makefile.am (TESTS): Added confh2.test.

	* confh.test: Run automake differently the second time.

	* mdate3.test: New file.
	* Makefile.am (TESTS): Added mdate3.test.

1999-01-11  Tom Tromey  <tromey@cygnus.com>

	* confh.test: New file.
	* Makefile.am (TESTS): Added confh.test.

1999-01-10  Tom Tromey  <tromey@cygnus.com>

	* objc.test: Updated to account for new ObjC support.

	* pluseq5.test: New file.
	* Makefile.am (TESTS): Added pluseq5.test.

	* all.test: Test all *-local targets, not just all-local.

	* all.test: New file.
	* Makefile.am (TESTS): Added all.test.

1999-01-07  Tom Tromey  <tromey@cygnus.com>

	* include.test: New file.
	* Makefile.am (TESTS): Added include.test.

1998-12-21  Tom Tromey  <tromey@cygnus.com>

	* insthook.test: Updated to fail when it should.

1998-12-11  Tom Tromey  <tromey@cygnus.com>

	* insthook.test: New file.
	* Makefile.am (TESTS): Added insthook.test.

1998-11-27  Tom Tromey  <tromey@cygnus.com>

	* cond7.test: New file.  From Pavel Roskin.
	* Makefile.am (TESTS): New file.

1998-11-10  Tom Tromey  <tromey@cygnus.com>

	* pluseq4.test: New file.
	* Makefile.am (TESTS): Added pluseq4.test.

1998-11-09  Tom Tromey  <tromey@cygnus.com>

	* pluseq3.test: New file.
	* Makefile.am (TESTS): Added pluseq3.test.

	* pluseq2.test: New file.
	* Makefile.am (TESTS): Added pluseq2.test.

1998-10-30  Tom Tromey  <tromey@cygnus.com>

	* pluseq.test: New file.
	* Makefile.am (TESTS): Added pluseq.test.

1998-10-28  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am (distclean-local): Typo fix.

1998-10-20  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am (TESTS): Sorted tests.  From Jeff Garzik.

1998-10-13  Tom Tromey  <tromey@cygnus.com>

	* libobj7.test: Updated to reflect minor change in automake (test
	wasn't resilient enough).
	* instman.test: Updated to reflect fact that mkinstalldirs will be
	in distribution.

	* cxxonly.test: Removed.

Mon Aug 31 09:46:59 1998  Matthew D. Langston  <langston@SLAC.Stanford.EDU>

	* Makefile.am (TESTS): Added compile_f_c_cxx.test.
	* compile_f_c_cxx.test: New file.

Sat Aug 29 18:17:58 1998  Matthew D. Langston  <langston@SLAC.Stanford.EDU>

	* Makefile.am (TESTS): Added flink.test link_c_cxx.test
	link_f_c.test link_f_c_cxx.test link_f_cxx.test link_f_only.test.
	Removed flink.test.
	* flibs.test: New File.
	* link_c_cxx.test: New file.
	* link_f_c.test: New file.
	* link_f_c_cxx.test: New file.
	* link_f_cxx.test: New file.
	* link_f_only.test: New file.

Tue Aug 11 10:46:36 1998  Matthew D. Langston  <langston@SLAC.Stanford.EDU>

	* Makefile.am (TESTS): Add cxxonly.test, fonly.test, flink.test,
	fnoc.test and fo.test.
	* cxxonly.test: New file.
	* fonly.test: New file.
	* flink.test: New file.
	* fnoc.test: New file.
	* fo.test: New file.

1998-10-08  Tom Tromey  <tromey@cygnus.com>

	* confdist.test: New file.
	* Makefile.am (TESTS): Added confdist.test.

1998-10-07  Tom Tromey  <tromey@cygnus.com>

	* extra4.test: New file.
	* extra3.test: New file.
	* Makefile.am (TESTS): Added extra3.test, extra4.test.

Mon Oct  5 12:47:32 1998  Tom Tromey  <tromey@cygnus.com>

	* badline.test: New file.
	* Makefile.am (TESTS): Added badline.test.

Thu Oct  1 00:03:39 1998  Tom Tromey  <tromey@cygnus.com>

	* seenc.test: Updated test to account for removed line numbers.

	* xsource.test: Correctly fail if source in subdir.

Wed Sep 30 12:17:34 1998  Tom Tromey  <tromey@cygnus.com>

	* colon7.test: New file.
	* Makefile.am (TESTS): Added colon7.test.

Tue Sep 29 02:09:11 1998  Tom Tromey  <tromey@cygnus.com>

	* config.test: New file.
	* Makefile.am (TESTS): Added config.test.

	* Makefile.am (TESTS): Reference clean.test, not clean.am.

Mon Sep 28 01:46:34 1998  Tom Tromey  <tromey@cygnus.com>

	* recurs2.test: New file, from Jim Meyering.
	* Makefile.am (TESTS): Added recurs2.test.

	* Makefile.am (TESTS): Added clean.am.
	* clean.test: New file.
	* ansi2.test: Updated test for new SUBDIRS change.
	* noinst.test: Updated test for new SUBDIRS change.
	* checkall.test: Added check to make sure check-local is handled.
	Updated test for new SUBDIRS change.
	* java.test: Updated test for new SUBDIRS change.

Sun Sep 27 20:01:20 1998  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am (TESTS): Added else.test.
	* else.test: New file.

	* Makefile.am (TESTS): Added parse.test.
	* parse.test: New file.

Sat Sep 26 19:17:43 1998  Tom Tromey  <tromey@cygnus.com>

	* aclocal.test: Put AM_INIT_AUTOMAKE into configure.in.
	* library.test: Use AC_EXEEXT.
	* texinfo5.test: Use AC_EXEEXT.
	* Many files: use AC_PROG_INSTALL, not AM_PROG_INSTALL.

	Test suite updates for the @SHELL@ change:
	* exsource.test: Set SHELL on `make' command line.
	* ansi.test: Set SHELL on `make' command line.
	* texinfo.test: Set SHELL on `make' command line.
	* insh2.test: Set SHELL on `make' command line.
	* empty.test: Rewrite @SHELL@ to /bin/sh.

Tue Sep 22 01:20:00 1998  Tom Tromey  <tromey@cygnus.com>

	* ansi3.test: Use gcc and not gcc -traditional.

Tue Sep 15 22:19:48 1998  Tom Tromey  <tromey@cygnus.com>

	* texinfo7.test: New file.

Sun Aug 16 23:17:38 1998  Tom Tromey  <tromey@cygnus.com>

	* colon6.test: New file.

Fri Aug 14 11:09:03 1998  Tom Tromey  <tromey@cygnus.com>

	* cond6.test: New file.

Mon Aug 10 21:05:15 1998  Tom Tromey  <tromey@cygnus.com>

	* ansi3.test: New file.

Sat Jul 18 00:27:26 1998  Tom Tromey  <tromey@cygnus.com>

	* recurs.test: New file.

	* cond3.test: Changed to match recent fixes.

Fri Jul 17 23:44:49 1998  Tom Tromey  <tromey@cygnus.com>

	* cond4.test, cond5.test: New files.

Tue May 26 01:44:37 1998  Tom Tromey  <tromey@cygnus.com>

	* syntax.test: New file.

Sun Apr  5 15:26:42 1998  Tom Tromey  <tromey@cygnus.com>

	* version3.test: Increased version number to ensure failure for a
	long time to come.

	* library.test: New file.

	* lex2.test: Updated since lex error changed to warning.

Fri Apr  3 13:04:50 1998  Tom Tromey  <tromey@cygnus.com>

	* colon5.test: New file.

	* exdir2.test: New file.
	* instdata.test: New file.

Wed Mar 25 15:30:39 1998  Tom Tromey  <tromey@cygnus.com>

	* badopt.test: new file.
	* version3.test: New file.

Mon Mar 23 10:52:36 1998  Tom Tromey  <tromey@cygnus.com>

	* libobj8.test: New file.

Fri Mar 20 00:32:16 1998  Tom Tromey  <tromey@cygnus.com>

	* lex2.test: New file.

	* aclocalii.test: New file.

	* javasubst.test: New file.

Thu Mar 19 14:11:45 1998  Tom Tromey  <tromey@cygnus.com>

	* javaprim.test: New file.

	* sinclude.test: New file.

Wed Mar 18 17:15:22 1998  Tom Tromey  <tromey@cygnus.com>

	* java.test: New file.

Sun Mar  8 15:35:14 1998  Tom Tromey  <tromey@cygnus.com>

	* colon4.test: New file.

Fri Mar  6 21:17:10 1998  Tom Tromey  <tromey@cygnus.com>

	* colon3.test: Refined tests.

Tue Feb 24 12:29:05 1998  Tom Tromey  <tromey@cygnus.com>

	* man.test: Removed.

	* condman2.test: New file.

Mon Feb 23 16:20:49 1998  Tom Tromey  <tromey@cygnus.com>

	* texinfo6.test: New file.

Mon Feb 16 00:08:58 1998  Tom Tromey  <tromey@cygnus.com>

	* aclocali.test: New file.

Fri Feb 13 00:36:38 1998  Tom Tromey  <tromey@cygnus.com>

	* texinfo5.test (info_TEXINFOS): New file.

	* condman.test: New file.

	* Makefile.am (distclean-local): Ignore rm return value.

Thu Feb 12 21:00:34 1998  Tom Tromey  <tromey@cygnus.com>

	* unused.test: New file.

	* whoami.test: New file.

	* alpha.test: New file.

Wed Feb 11 17:28:30 1998  Tom Tromey  <tromey@cygnus.com>

	* aclocal.test: New file.

Thu Feb  5 13:22:17 1998  Tom Tromey  <tromey@cygnus.com>

	* cxxcpp.test: New file.

Mon Dec  1 15:48:16 1997  Tom Tromey  <tromey@cygnus.com>

	* cond3.test: New file.

Sat Nov 29 22:09:27 1997  Tom Tromey  <tromey@cygnus.com>

	* objc.test: New file.

Sat Oct 25 00:04:04 1997  Tom Tromey  <tromey@cygnus.com>

	* libobj7.test: New file.

Tue Oct 21 00:46:24 1997  Tom Tromey  <tromey@cygnus.com>

	* lex2.test: Removed; @LEXLIB@ no longer required.

	* depacl2.test: Use -I, not --acdir.

	* install.test: New file.
	* ammissing.test: New file.

Sun Sep 28 17:19:52 1997  Tom Tromey  <tromey@cygnus.com>

	* cxxnoc.test: Changed to reflect MKDEP change.

Wed Sep 24 16:01:59 1997  Tom Tromey  <tromey@cygnus.com>

	* output5.test: New file.

	* depend3.test: New file.

Mon Aug 25 17:24:42 1997  Tom Tromey  <tromey@cygnus.com>

	* cygwin32.test: Use AM_EXEEXT, not AM_CYGWIN32.

Tue Aug  5 20:33:33 1997  Tom Tromey  <tromey@cygnus.com>

	* libobj6.test: New file.

Mon May 26 22:47:36 1997  Tom Tromey  <tromey@cygnus.com>

	* depend.test: Fixed test.

Sat May 10 18:28:14 1997  Tom Tromey  <tromey@cygnus.com>

	* depend2.test: Fixed test; added another check.

Sun May  4 15:47:24 1997  Tom Tromey  <tromey@cygnus.com>

	* xsource.test: New file.

Tue Apr 29 19:08:47 1997  Tom Tromey  <tromey@cygnus.com>

	* cond.test, cond2.test: New files from Ian Taylor.

Sun Apr 27 21:07:49 1997  Tom Tromey  <tromey@cygnus.com>

	* confsub.test: Fixed bug.

Fri Apr 25 12:30:22 1997  Tom Tromey  <tromey@cygnus.com>

	* conf2.test: New file.

Tue Apr  8 19:26:07 1997  Tom Tromey  <tromey@cygnus.com>

	* ansi.test, empty.test, exsource.test, insh2.test, man.test,
	mkinst2.test, texinfo.test, texinfo2.test: Use $MAKE.

	* defs (MAKE): Define.

Mon Apr  7 17:35:49 1997  Tom Tromey  <tromey@cygnus.com>

	* version2.test: New file.

Wed Apr  2 00:12:26 1997  Tom Tromey  <tromey@cygnus.com>

	* ldadd.test: New file.

Fri Mar 28 23:36:04 1997  Tom Tromey  <tromey@cygnus.com>

	* stamph.test: New file.

Thu Mar 27 18:10:47 1997  Tom Tromey  <tromey@cygnus.com>

	* lisp.test: New file.

Sat Mar 22 01:14:03 1997  Tom Tromey  <tromey@cygnus.com>

	* cygwin32.test: New file.

Thu Mar 20 00:34:33 1997  Tom Tromey  <tromey@cygnus.com>

	* exsource.test: Exit if not using GNU make.

Tue Mar 18 22:36:34 1997  Tom Tromey  <tromey@cygnus.com>

	* remake2.test: Changed for `missing' support.

Sun Mar 16 14:29:45 1997  Tom Tromey  <tromey@cygnus.com>

	* seenc.test: New file.

	* checkall.test, noinst.test: Don't use bogus construct when
	checking.

	* libobj3.test, canon.test, target.test, spell2.test,
	primary2.test, discover.test, lex2.test: Fixed to test what it
	claims to test.

Mon Mar 10 23:21:03 1997  Tom Tromey  <tromey@cygnus.com>

	* libobj.test, libobj2.test: Use AC_PROG_CC.

	* confsub.test: Modified for definition of CONFIG_HEADER_FULL.

	* cxxlibobj.test: New file.

Wed Feb 26 13:05:42 1997  Tom Tromey  <tromey@cygnus.com>

	* tagsub.test: New file.

Sun Feb 23 11:58:00 1997  Tom Tromey  <tromey@cygnus.com>

	* texinfo.test, texinfo2.test, texinfo3.test, info.test,
	mdate.test, vtexi.test, canon2.test, mdate2.test, vtexi2.test:
	Updated for new texinfo handling.

	* texinfo4.test: New file.
	* texinfo3.test: New file.

Sat Feb 22 09:48:44 1997  Tom Tromey  <tromey@cygnus.com>

	* yaccpp.test: New file.

Tue Feb 11 09:51:47 1997  Tom Tromey  <tromey@cygnus.com>

	* texinfo2.test: Fixed quoting bug.  From Michael Brantley.

Tue Feb  4 18:41:32 1997  Tom Tromey  <tromey@cygnus.com>

	* confsub.test: Check subdir/Makefile.in to make sure dependency
	is correct.

	* ansi2.test: ANSI2KNR dependency of all.

Tue Dec 10 00:43:14 1996  Tom Tromey  <tromey@cygnus.com>

	* defun2.test: New file.
	* subst.test: New file.

Sun Dec  8 12:25:22 1996  Tom Tromey  <tromey@cygnus.com>

	* colneq2.test: New file.

Sat Dec  7 12:52:45 1996  Tom Tromey  <tromey@cygnus.com>

	* output4.test: New file.
	* output3.test: New file.
	* remake2.test: New file.
	* output2.test: New file.

Fri Dec  6 19:00:31 1996  Tom Tromey  <tromey@cygnus.com>

	* output.test: New file.

Thu Dec  5 18:23:17 1996  Tom Tromey  <tromey@cygnus.com>

	* remake.test: New file.
	* colon3.test: New file.
	* colon2.test: New file.
	* cxxo.test: New file.

Wed Dec  4 00:41:44 1996  Tom Tromey  <tromey@cygnus.com>

	* defs: Allow user to set interpreter via PERL environment
	variable.

	* Makefile.am (distclean-local): New target.

Tue Dec  3 11:55:18 1996  Gordon Matzigkeit  <gord@gnu.ai.mit.edu>

	* dup.test, dup2.test: Modified, now that aclocal allows
	acinclude.m4 to override any installed macro file.

Mon Dec  2 22:44:16 1996  Gordon Matzigkeit  <gord@gnu.ai.mit.edu>

	* alllib.test: Removed from distribution, since LIBFILES are no
	longer computed.

Sun Nov 24 14:36:00 1996  Tom Tromey  <tromey@cygnus.com>

	* extra2.test: New file.

Fri Nov 22 00:10:04 1996  Tom Tromey  <tromey@cygnus.com>

	* stdlib.test: New file.

Thu Nov 21 22:51:35 1996  Tom Tromey  <tromey@cygnus.com>

	* confsub.test: Use AM_CONFIG_HEADER.

Tue Nov 19 23:37:32 1996  Tom Tromey  <tromey@cygnus.com>

	* confvar2.test: New file.

Fri Nov 15 00:09:18 1996  Tom Tromey  <tromey@cygnus.com>

	* ansi2.test: New file.

	* libfiles.test: Removed (obsolete).

	* libobj.test, canon4.test, libobj2.test, alllib.test,
	ranlib.test: Fixed for Gord's changes to library handling.

	* Many files: Use AC_PROG_CC to avoid error.

Thu Oct 24 15:22:53 1996  Tom Tromey  <tromey@cygnus.com>

	* confvar.test: New file.
	* ranlib.test: New file.

Mon Oct 21 22:57:51 1996  Tom Tromey  <tromey@cygnus.com>

	* version.test: New file.

Fri Oct 11 00:51:04 1996  Tom Tromey  <tromey@cygnus.com>

	* libobj5.test: New file.
	* libobj4.test: New file.
	* distdir.test: New file.
	* lex2.test: New file.

Sun Oct  6 11:00:44 1996  Tom Tromey  <tromey@cygnus.com>

	* acsilent.test: New file.
	* req.test: New file.
	* acinclude.test: New file.

Sat Oct  5 11:31:38 1996  Tom Tromey  <tromey@cygnus.com>

	* discover.test: New file.

	* mkinst2.test: Renamed from mkinstall2.test.

	* symlink.test: New file.

Thu Oct  3 19:55:23 1996  Tom Tromey  <tromey@cygnus.com>

	* vpath.test: New file.

Mon Sep 30 08:34:07 1996  Tom Tromey  <tromey@cygnus.com>

	* comment2.test: New file.

Mon Sep 23 00:23:34 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* spell3.test: New file.

Sun Sep 22 14:42:09 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* depend2.test: New file.

Sat Sep 21 14:01:10 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* primary2.test: New file.
	* primary.test: New file.

Fri Sep 20 09:39:27 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* confsub.test: New file.

Mon Sep 16 00:05:52 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* spell2.test: New file.

	* spell.test: New file.

Thu Sep 12 14:57:49 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* implicit.test: New file.

Wed Sep 11 13:57:10 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* colneq.test: New file.

	* interp2.test: New file.

Sun Sep  8 10:47:07 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* gnits.test: New file.

Thu Sep  5 22:54:26 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* libobj3.test: New file.

Tue Sep  3 20:57:38 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* block.test: New file.

Mon Aug 26 23:04:01 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* alllib.test: New file.

	* interp.test: New file.

Mon Aug 12 13:58:55 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* libobj2.test: New file.

	* order.test: New file.

Sun Aug 11 00:10:42 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* cxxnoc.test: New file.

	* cxxlink.test: Use AC_PROG_CXX.

	* lex.test: Use AC_PROG_LEX, AC_DECL_YYTEXT.

	* yacc.test: Use AC_PROG_YACC in configure.in.

	* cxxlink.test: New file.

	* yacc.test: Fixed test for new yacc code.

Sat Aug 10 10:09:45 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* defun.test: New file.

	* dup.test: New file.

Fri Aug  9 09:18:07 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* canon4.test: New file.

Thu Aug  8 10:47:45 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* exsource.test: New file.

	* subdir2.test: New file.

	* scripts.test: New file.

Tue Aug  6 12:30:41 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* lex.test: New file.

Mon Aug  5 01:03:03 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* obsolete.test: New file.

	* Many files: Use AM_ macros, not fp_ macros.

	* info.test: New file.

Sun Aug  4 12:47:34 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* man.test: New file.

	* acouttbs2.test: New file.

	* libfiles.test: New file.

	* comment.test: New file.

	* tags.test: New file.

	* vtexi2.test: New file.

	* colon.test: New file.

Sun Jul 28 11:43:00 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* defs (ACLOCAL): Added definition.

	* depacl.test, depacl2.test, error.test: New tests for aclocal.

Fri Jul 19 10:09:56 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* ansi.test: New file.

Sun Jun  9 23:20:03 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* texinfo2.test: New file.

Sat Jun  8 10:00:42 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* mkinstall2.test: New file.

Fri Jun  7 18:17:11 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* yacc.test: New file.

Sun Jun  2 09:04:52 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* dejagnu.test: New file.

	* texinfo.test: New file.

Thu May 23 09:58:48 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* fpinst2.test: New file.

	* fpinstall.test: New file.

Wed May 22 09:45:52 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* outdir.test: New file.

Sat May 18 10:51:37 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* insh2.test: New file.

Fri May 17 17:32:35 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* number.test: New file.

	* defs, many .test files: Define PACKAGE and VERSION in
	configure.in.

	* package.test: New file.

	* backsl.test: New file.

Thu May 16 09:15:57 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* subdir.test: New file.

Tue May 14 10:17:17 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* mdate2.test: New file, from report by Jim Meyering.

	* canon3.test: New file.

	* auxdir.test: New file.

	* mkinstall.test: New file.

	* extra.test: Reversed sense of test.

Fri Apr 26 15:15:01 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* instman.test: New file.

Thu Apr 25 17:12:30 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* noinst.test: New file

	* exdir.test: Quoting change from Gord Matzigkeit.

	* extra.test (EXTRA_PROGRAMS): New file.

Tue Apr  9 22:55:07 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* target.test: New file.

Wed Apr  3 15:10:54 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* canon2.test: New file

	* insh.test: New file.

Wed Mar 27 23:31:51 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* rulepat.test: New file.

Sat Mar 16 08:37:36 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* empty.test: New file.

Fri Mar 15 17:55:13 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* installsh.test: New file.

Tue Mar  5 16:22:46 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* badprog.test: Rewrote.

	* canon.test: New file.

Mon Mar  4 21:08:37 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* exdir.test: New file.

Fri Mar  1 17:23:53 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* depend.test: New file.

	* badprog.test: New file.

	* defs (AUTOMAKE): Pass --foreign.

Thu Feb 29 20:23:42 1996  Tom Tromey  <tromey@creche.cygnus.com>

	More tests:
	* prefix.test: New file.
	* spelling.test: New file
	* confincl.test: New file.
	* Makefile.am (TESTS): Updated.

Wed Feb 28 11:57:02 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* acoutqnl.test: New file.
	* Makefile.am (TESTS): Include it.

Tue Feb 27 10:52:58 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* Makefile.am (DIST_OTHER): Include "defs".

	* defs (AUTOMAKE): Never relative to $srcdir.

Mon Feb 26 23:14:08 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* libobj.test: Put AC_PROG_RANLIB in configure.in

Mon Feb 19 08:22:22 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* proginst.test: New file.

Tue Feb 13 18:54:39 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* libobj.test: New file.

Mon Feb 12 17:05:48 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* acouttbs.test: New file.

	* Makefile.am (DIST_OTHER): New variable.

	* acoutnoq.test: New file.

Sun Feb 11 16:39:14 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* checkall.test: Delay a little.

	* Makefile.am (check-local): Print name of failing test.

Sat Feb 10 17:08:39 1996  Tom Tromey  <tromey@creche.cygnus.com>

	* checkall.test: New file.

	* instexec.test: New file.

	* mdate.test, vtexi.test, acoutput.test: New files.

	* Started.

-----

Copyright 2012-2018 Free Software Foundation, Inc.

Copying and distribution of this file, with or without modification, are
permitted provided the copyright notice and this notice are preserved.
